v1.0

post

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/upload/kittypesfromfile

Uploads kit types data. Rights: DesignerKitListUpload.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Contains inventory upload details.
Show Source
Nested Schema : Header Mappings
Type: array
Title: Header Mappings
Header mappings.
Show Source
Example:
[
    {
        "fileHeader":"Kit Number",
        "dbHeader":"KIT_NUMBER"
    }
]
Nested Schema : headerMappingsMap
Type: object
Additional Properties Allowed
Show Source
Nested Schema : Kit Type Mappings
Type: array
Title: Kit Type Mappings
Kit type mappings.
Show Source
Example:
[
    {
        "kitFromFile":"KITTYPE-A",
        "kitTypeId":"C36A3197FDEE433FB5547EE83DE99E4B"
    }
]
Nested Schema : HeaderMapping
Type: object
Title: HeaderMapping
Contains header mapping.
Show Source
Example:
{
    "fileHeader":"Kit Number",
    "dbHeader":"KIT_NUMBER"
}
Nested Schema : KitTypeMapping
Type: object
Title: KitTypeMapping
Contains kit type mapping.
Show Source
Example:
{
    "kitFromFile":"KITTYPE-A",
    "kitTypeId":"C36A3197FDEE433FB5547EE83DE99E4B"
}
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : InvUploadKitTypeResponse
Type: object
Title: InvUploadKitTypeResponse
Contains inventory upload kit type response.
Show Source
Nested Schema : Kit Types
Type: array
Title: Kit Types
Contains kit types.
Show Source
Example:
[
    "KITTYPE-A",
    "KITTYPE-B"
]
Examples

400 Response

Invalid CSV file format, data, or header mappings
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

Invalid study ID
Invalid file identifier
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top